* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
a {
    text-decoration: none;
}
a:active {
    color: rgba(241,158,54,1);
}
html {
    font-family: sans-serif;
	font-size: calc(14px + 1vw);
}
.select-none {
    -moz-user-select: none;
    -webkit-user-select: none;
    user-select: none;
	text-align: center;
}
body {
    background: radial-gradient(circle, rgba(209,213,223,1) 0%, rgba(123,130,149,1) 15%, rgb(0, 0, 0) 75%);
    background: radial-gradient(circle, rgba(253,237,201,1) 0%, rgba(241,158,54,1) 15%, rgba(23,23,23,1) 75%);
    /* background: radial-gradient(circle, rgba(190,201,233,1) 0%, rgba(95,107,189,1) 15%, rgba(23,23,23,1) 75%); */
    /* background: radial-gradient(circle, rgba(122,230,243,1) 10%, rgba(31,118,191,1) 25%, rgba(23,23,23,1) 75%); */
    /* background: radial-gradient(circle, rgba(205,122,243,1) 0%, rgba(154,31,191,1) 15%, rgba(23,23,23,1) 75%); */
    background-repeat: no-repeat;
    min-height: 100vh;   
}
.haeder {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px 20px;
    background-color: #333; /* Цвет фона шапки */
    position: relative; /* Для абсолютного позиционирования меню */
}
.haeder a {
    margin-right: 1rem;
}

/* boost page styles */
.boost {
    background: linear-gradient(0deg, rgba(241,158,54,1) 2%, rgb(0, 0, 0) 45%);
    background: linear-gradient(0deg, rgba(157,101,30,1) 5%, rgba(0,0,0,1) 45%);
    background-repeat: no-repeat;
    background-attachment: fixed;
    color: #ffffff;
    padding-bottom: 4rem;
}
.boosters-title {
    margin-bottom: 1rem;
    padding: 0 0.3rem;
}
.boosters {
    margin-top: 3rem;
    padding: 0 1rem;
}
.boosters-buttons {
    width: 95%;
    border-radius: 15px;
    padding: 10px 10px 0 10px;
    margin: 10px;
    background-color: rgba(218, 218, 218, 0.2);
    border: 2px solid rgba(218, 218, 218, 0.02);
}
.boosters-button {
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.boosters-button-detail {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.boosters-button-image {
    background-color: rgba(218, 218, 218, 0.1);
    border: 2px solid rgba(218, 218, 218, 0.01);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 4.25rem;
    height: 4.25rem;
    padding: 4px;
    margin-right: 1rem;
    border-radius: 15px;
}
.m-b-1 {
    margin-bottom: 1rem;
}
.buy-skins {
    margin-top: 2rem;
}
.slide {
    width: 17rem !important;
    margin: 0 1rem;
    border-radius: 15px;
    padding: 1.25rem;
    height: 10rem;
	cursor: pointer;
    background-color: rgba(218, 218, 218, 0.2);
    border: 2px solid rgba(218, 218, 218, 0.02);
}
.skin-button  {
    display: flex;
    align-items: center;
    justify-content: space-between;
}


/* guid styles */
.guid {
    background-image: linear-gradient(0deg, rgba(0,0,0,1) 0%, rgba(0,0,0,1) 100%);
}
.guid-content {
    margin-top: 4rem;
    color: #ffffff;
    display: flex;
    flex-direction: column;
    align-items: center;
}
.guid-title {
    margin-bottom: 4rem;
}
.guid-help-detail {
    display: flex;
    align-items: center;
    margin-bottom: 2.5rem;
}
.guid-help-detail h3 {
    margin-bottom: 0.25rem;
}
.guid-help-detail p {
    font-size: 1rem;
    color: #c1c1c1;
	text-align: justify;
}
.guid-button {
    margin-top: 5rem;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.guid-button a {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #ffffff;
    font-size: 1.25rem;
    background: linear-gradient(83deg, rgba(255,184,95,1) 3%, rgba(241,158,54,1) 28%, rgba(255,142,2,1) 91%);
    width: 20rem;
    padding: 1rem 0;
    border-radius: 15px;
}


/* frens styles */
.frens-main  {
    margin: 2rem 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.frens-total-earn {
    cursor: pointer;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 95%;
    border-radius: 15px;
    background-color: rgba(218, 218, 218, 0.2);
    border: 2px solid rgba(218, 218, 218, 0.02);
    padding: 0.75rem;
}
.frens-total-count {
    display: flex;
    justify-content: center;
    align-items: center;
    color: rgba(241,158,54,1);
}
.frens-total-count img {
    margin-left: 0.5rem;
}
.leaders {
    color: #c1c1c16e;
}
.frens-list {
    padding: 1rem;
}
.frens-list-title {
    padding-left: 0.5rem;
    color: rgba(241,158,54,1);
    font-weight: 600;
    margin-bottom: 0.75rem;
}
.frens-list-title {
    color: #ffffff;
}
.frens-help-box,
.frens-list-box {
    width: 95%;
    /* height: 10rem; */
    margin: 0 auto;
    border-radius: 15px;
    background-color: rgba(218, 218, 218, 0.2);
    border: 2px solid rgba(218, 218, 218, 0.02);
}
.frens-help-content {
    padding: 1rem;
    display: flex;
    align-items: center;
}
.frens-help-image {
    margin-right: 0.75rem;
}
.fren-help-text h5 {
    font-size: 3rem;
    font-weight: 500;
    margin-bottom: 0.25rem;
}
.fren-help-text div{
    margin-top: 0.25rem;
    display: flex;
    align-items: center;
}
.fren-help-text div img {
    margin-right: 0.25rem;
}
.fren-help-text div span {
    margin-right: 0.25rem;
}
.frens-open-detail {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem 0;
}
.frens-open-detail a {
    color: #ffffff;
    font-weight: bold;
}
.frens-data {
    padding: 1rem;
}
.frens-data,
.frens-profile {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.frens-profile-photo {
    background-color: aquamarine;
    width: 3.5rem;
    height: 3.5rem;
    border-radius: 100%;
    margin-right: 0.75rem;
}
.frens-profile-data h4{
    margin-bottom: 0.25rem;
}
.frens-profile-data div{
    display: flex;
    align-items: center;
}
.frens-profile-data div img,
.frens-profile-data div span {
    margin-right: 0.30rem;
}

/* Swiper styles */
.swiper-slide {
    display: flex;
    flex-direction: column; /* добавляет вертикальную ориентацию */
    justify-content: center;
    border-radius: 10px; /* скругленные углы */
    padding: 0; /* внутренние отступы */
	transition: opacity 0.3s ease; /* Плавный переход для opacity */
}

.swiper-button-next, .swiper-button-prev {
    top: 95px !important;
	padding: 0 18% 0 18% !important;
}

.swiper-container {
    max-width: 100%; /* Задайте ширину контейнера */
    height: 100%; /* Задайте высоту контейнера */
    margin: auto; /* Центрирует контейнер по горизонтали */
    display: flex; /* Используем flexbox для вертикального центрирования */
    align-items: center; /* Центрирует по вертикали */
    justify-content: center; /* Центрирует по горизонтали */
    position: relative; /* Для корректного позиционирования дочерних элементов */
    overflow: hidden; /* Скрывает содержимое, выходящее за границы контейнера */
}

